org.springframework.data.repository.core.support

## Interface RepositoryMethodInvocationListener.RepositoryMethodInvocationResult

Enclosing interface:
  RepositoryMethodInvocationListener

    public static interface RepositoryMethodInvocationListener.RepositoryMethodInvocationResult

### Nested Class Summary

Nested Classes
`static class` `RepositoryMethodInvocationListener.RepositoryMethodInvocationResult.State`

### Method Summary

All Methods Instance Methods Abstract Methods
`Throwable` `getError()`
`RepositoryMethodInvocationListener.RepositoryMethodInvocationResult.State` `getState()`

### Method Detail

#### getState

    RepositoryMethodInvocationListener.RepositoryMethodInvocationResult.State getState()

#### getError

    @Nullable
    Throwable getError()